Get a project monthly budget expense
curl --request GET \
--url https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "4e7c1a93-b258-4f6d-a0e3-d9f82c5b17a4",
"billableAmount": 1800,
"nonBillableAmount": 450,
"createdAt": "2026-03-01T11:42:07.293Z",
"notes": "Monthly equipment rental allocation.",
"project": {
"id": "b3d92f18-7c04-4a5e-81e6-f0a7c2d49b35",
"name": "Cloud Migration",
"client": {
"id": "2f8a6e71-c403-49db-a5b2-d1e7f09c3a84",
"name": "Sterling Cooper"
}
},
"expenseCategory": {
"id": "91c4e2b7-3f08-4d5a-a6e1-b8d0f7c23e59",
"name": "Equipment Rental"
}
}{
"status": 400,
"message": "Parameter 'id' is not a valid UUID."
}{
"status": 404,
"message": "Object with id 'a1d83f29-7c04-4b6e-95e2-f8b0c3d17a54' not found."
}Project Monthly Budget Expenses
Get a project monthly budget expense
GET
/
project-monthly-budget-expenses
/
{id}
Get a project monthly budget expense
curl --request GET \
--url https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/project-monthly-budget-expenses/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "4e7c1a93-b258-4f6d-a0e3-d9f82c5b17a4",
"billableAmount": 1800,
"nonBillableAmount": 450,
"createdAt": "2026-03-01T11:42:07.293Z",
"notes": "Monthly equipment rental allocation.",
"project": {
"id": "b3d92f18-7c04-4a5e-81e6-f0a7c2d49b35",
"name": "Cloud Migration",
"client": {
"id": "2f8a6e71-c403-49db-a5b2-d1e7f09c3a84",
"name": "Sterling Cooper"
}
},
"expenseCategory": {
"id": "91c4e2b7-3f08-4d5a-a6e1-b8d0f7c23e59",
"name": "Equipment Rental"
}
}{
"status": 400,
"message": "Parameter 'id' is not a valid UUID."
}{
"status": 404,
"message": "Object with id 'a1d83f29-7c04-4b6e-95e2-f8b0c3d17a54' not found."
}The monthly budget for an expense category on a project. Only available for projects that are using a monthly budget and the monthly budget mode is “detailed”.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The project monthly budget expense uuid.
Response
200
The unique identifier for the object.
The total billable amount for the expense category. null when the project is non-billable.
The total non-billable amount for the expense category.
The timestamp when the object was created.
Notes about this monthly budget expense.
The project this monthly budget expense belongs to.
Show child attributes
Show child attributes
The expense category for this monthly budget expense.
Show child attributes
Show child attributes